Subject: AW: FVWM: Is there any possibility to get the Pagenumber on which a program is running

From: [email-masked]
Date: Fri, 8 Nov 2002 15:20:10 +0100

In this direction yes.
But i've tried to get my x/y-Coordinates rom the application and get only
the coordinates on the page and not the absolute coordiantes

-----Ursprungliche Nachricht-----
Von: Dominik Vogt [mailto:[email-masked]]
Gesendet: Freitag, 8. November 2002 15:21
An: Enders, Borg; fvwm
Betreff: Re: FVWM: Is there any possibility to get the Pagenumber on
which a program is running

On Fri, Nov 08, 2002 at 02:39:22PM +0100, [email-masked] wrote:
> I want to implement a Session Manager for a program with a lot of windows,
> so that all windows are on the same pages, when i have shutdown fvwm2 and
> restarted it.
> So is there any possibility to get the Number of the page from within a
> C-program for some WindowWidget.
> By the way I'am using Xt and Motif.

Fvwm implements page numbers by putting windows of high x/y
coordinates.  For example, if you have a 1024x768 destop and you
view page 0 0, a window on page 1 1 has x = x_on_that_page + 1024
and y = y_on_that_page + 768.  In other words:  you don't even
have to think about page numbers in a session manager, you get
that for free.

Bye

Dominik ^_^  ^_^
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 8 Nov 2002 16:09:25 +0100

> the coordinates on the page and not the absolute coordiantes

Then I don't understand what you are trying to do.  There is a
well defined X interface for session managers to find out the
window positions.  What you say does not sound like you are using
it.  I don't know myself how it works.  Maybe someone else can
give a short introduction into the SMlib interface.

Bye

Dominik ^_^  ^_^